<?php
// turn off all error reporting
error_reporting(0);

// include zend loader
$root = realpath(dirname(dirname(dirname(dirname(dirname(dirname(dirname($_SERVER["SCRIPT_FILENAME"]))))))));

// include wordpress loader
if (file_exists($root.'/wp-load.php')) {
	// WP 2.6
	require_once($root.'/wp-load.php');
} else {
	// Before 2.6
	require_once($root.'/wp-config.php');
}

// define constants
define('SYG_PATH', realpath(plugin_dir_path(__FILE__)));
define('SYG_URL', WP_PLUGIN_URL . SygConstant::WP_PLUGIN_PATH);

// include required fw object
require_once( SYG_PATH . '/engine/SygUtil.php');
require_once( SYG_PATH . '/engine/SygConstant.php');

// set the cache directory target path
$target_dir = SYG_PATH . SygConstant::WP_CACHE_JS_REL_DIR. DIRECTORY_SEPARATOR;

// create if not exist 
if (!file_exists($target_dir)) {
	mkdir($target_dir); 
	chmod(realpath($target_dir), 0777);
}

// set the target filename
$name = 'syg.lib.client.min.js-' . SygUtil::folder2Md5('./');

// set http header
header('Content-type: text/javascript; charset=utf-8');
header('Expires: '.gmdate("D, d M Y H:i:s", time() + 3600*24*365).' GMT');

// read or write the file
if(file_exists($target_dir.$name)) {
	// read the file
	readfile($target_dir.$name);
} else {
	// generate files
	$js .= file_get_contents(SYG_URL . 'js/core/lib/syg.lib.client.js.php?id='.$id);
	
	if(isset($_REQUEST['minify'])) {
		// require jsmin
		require_once (SYG_PATH . '/engine/lib/jsmin-php/jsmin.php');		
		// minification
		$js = JSMin::minify($js);
		// clean the cache
		SygUtil::cleanJsCache($target_dir);
		// write string to file
		file_put_contents($target_dir.$name,$js);
		// exit
		exit;
	} else {
		$js.="setTimeout(function(){var a=document.createElement('img');a.src='" . SYG_URL . "js/core/lib/syg.lib.client.min.js.php?minify=1';a.style.display='none';document.body.appendChild(a);},5000);";
	}
	echo $js;
}
?>