<?php
// Turn off all error reporting
error_reporting(0);

// include zend loader
$root = realpath(dirname(dirname(dirname(dirname(dirname(dirname(dirname(dirname($_SERVER["SCRIPT_FILENAME"])))))))));

// include wordpress loader
if (file_exists($root.'/wp-load.php')) {
	// WP 2.6
	require_once($root.'/wp-load.php');
} else {
	// Before 2.6
	require_once($root.'/wp-config.php');
}

// include required wordpress object
require_once( SYG_PATH . '/engine/SygPlugin.php');
require_once( SYG_PATH . '/engine/SygUtil.php');
require_once( SYG_PATH . '/engine/SygConstant.php');

// get plugin instance
$syg = SygPlugin::getInstance();

// get gallery settings
$option = $syg->getGallerySettings($_GET['id']);

// extract options to vars
extract ($option);

// set the cache directory target path
$target_dir = SYG_PATH . SygConstant::WP_CACHE_JS_REL_DIR. $id . DIRECTORY_SEPARATOR;

// create if not exist
if (!file_exists($target_dir)) {
	mkdir($target_dir); 
	chmod(realpath($target_dir), 0777);
}

// check client directive
if (array_key_exists ('ui', $_GET)) $uiType = $_GET['ui'];
if (array_key_exists ('cache', $_GET)) $cache = $_GET['cache'];

// set the target filename
$name = 'client.' . $uiType . '.' . $cache . '-' . SygUtil::folder2Md5('./');

// set http header
header('Content-type: text/javascript; charset=utf-8');
header('Expires: '.gmdate("D, d M Y H:i:s", time() + 3600*24*365).' GMT');

// read or write the file
if(file_exists($target_dir.$name)) {
	// read the file
	readfile($target_dir.$name);
} else {
	// generate files
	$url = SYG_URL . 'js/core/ui/ready/syg.client.js.php?id='.$id;	
	// check parameters 
	if (!empty($cache)) $url .= '&cache='.$cache;
	if (!empty($uiType)) $url .= '&ui='.$uiType;
	// get file content
	$js = file_get_contents($url);
	
	if(isset($_REQUEST['minify'])) {
		// require jsmin
		require_once (SYG_PATH . '/engine/lib/jsmin-php/jsmin.php');		
		// minification
		$js = JSMin::minify($js);
		// clean the cache
		SygUtil::cleanJsCache($target_dir);
		// write string to file
		file_put_contents($target_dir.$name,$js);
		// exit
		exit;
	} else {
		$js .= "setTimeout(function(){var a=document.createElement('img');a.src='" . SYG_URL . "js/core/ui/ready/syg.client.min.js.php?minify=1&id=".$id."&ui=".$uiType."&cache=".$cache."';a.style.display='none';document.body.appendChild(a);},5000);";
	}
	echo $js;
}
?>